Automatic translation update from Pootle
[lxde/lxsession.git] / autogen.sh
CommitLineData
8f7acb23 1#! /bin/sh
8f7acb23
HJYP
2AC_VERSION=
3
8288d69a
JH
4AUTOMAKE=${AUTOMAKE:-automake}
5AM_INSTALLED_VERSION=$($AUTOMAKE --version | sed -e '2,$ d' -e 's/.* \([0-9]*\.[0-9]*\).*/\1/')
6
d883c575
JL
7# FIXME: we need a better way for version check later.
8case "$AM_INSTALLED_VERSION" in
9 1.1[0-9])
10 ;;
11 *)
8288d69a 12 echo
d883c575 13 echo "You must have automake 1.10 or newer installed."
8288d69a
JH
14 echo "Install the appropriate package for your distribution,"
15 echo "or get the source tarball at http://ftp.gnu.org/gnu/automake/"
16 exit 1
d883c575
JL
17 ;;
18esac
8288d69a 19
8f7acb23
HJYP
20set -x
21
22if [ "x${ACLOCAL_DIR}" != "x" ]; then
23 ACLOCAL_ARG=-I ${ACLOCAL_DIR}
24fi
25
26${ACLOCAL:-aclocal$AM_VERSION} ${ACLOCAL_ARG}
8288d69a 27${AUTOHEADER:-autoheader$AC_VERSION} --force
e8e40847 28AUTOMAKE=$AUTOMAKE intltoolize -c --automake --force
8288d69a 29$AUTOMAKE --add-missing --copy --include-deps
e8e40847 30${AUTOCONF:-autoconf$AC_VERSION}
8f7acb23 31
8f7acb23 32rm -rf autom4te.cache